1
0

Some bugs corrected

This commit is contained in:
Daniel Tartavel 2018-09-14 19:40:13 +02:00
parent a28821c8f1
commit 9841f7ed5e

View File

@ -200,7 +200,7 @@ function addmedia()
function updatemirror() function updatemirror()
{ {
title "updating mirror" title "updating mirror"
/sbin/urpmi.update -a -ff --urpmi-root "$BUILD_PATH" /sbin/urpmi.update -a --urpmi-root "$BUILD_PATH"
if [ $? -ne 0 ];then if [ $? -ne 0 ];then
error "line $LINENO can't update mirrors : exiting" error "line $LINENO can't update mirrors : exiting"
exit 1 exit 1
@ -283,12 +283,12 @@ EOF" >>"$BUILD_PATH/second_stage_install.sh"
#configuration for target #configuration for target
case $TARGET in case $TARGET in
xu3-4) xu3|xu4)
#TEMPORARY CODE #TEMPORARY CODE
#copying kernel not existing in mageia #copying kernel odroid not existing in mageia repos
info "copying kernel-odroid rpm in $BUILD_PATH" info "copying kernel-odroid rpm in $BUILD_PATH/root"
echo "/bin/cp $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/" echo "/bin/cp $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm $BUILD_PATH/root/"
/usr/bin/cp "$SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/" /usr/bin/cp "$SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm" "$BUILD_PATH/root/"
if [ $? -ne 0 ];then if [ $? -ne 0 ];then
error "line $LINENO error copying $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting" error "line $LINENO error copying $SOURCE_PATH/$CONFIG_PATH/kernel-odroid-4.14.y-1.armv7hl.rpm : exiting"
exit 1 exit 1
@ -339,7 +339,7 @@ function verify_disk_space()
function createxu3image() function createxu3image()
{ {
title "Creating Odroid XU3-4 image" title "Creating Odroid XU3-XU4 image"
createimage createimage
if [ -z "$BOOTFS" ];then if [ -z "$BOOTFS" ];then
BOOTFS="ext4" BOOTFS="ext4"
@ -524,7 +524,7 @@ brcmfmac" >> "$BUILD_PATH"/etc/modules
ERRORN=$((ERRORN++)) ERRORN=$((ERRORN++))
fi fi
;; ;;
xu3-4) xu3 | xu4)
;; ;;
esac esac
@ -571,7 +571,7 @@ if [ $? -ne 0 ] ; then error "line $LINENO Failed parsing options." >&2 ; exit 1
eval set -- "$TEMP" eval set -- "$TEMP"
echo "$TEMP" echo "$TEMP"
# Note the quotes around `$TEMP': they are essential! # Note the quotes around `$TEMP': they are essential!
while true; while true;
do do
case "$1" in case "$1" in
@ -690,9 +690,9 @@ else
fi fi
fi fi
# assign TARGET ( rpi or xu3-4 ) # assign TARGET ( rpi, xu3 or xu4 )
case $TARGET in case $TARGET in
xu3 | xu4) xu3|xu4)
CREATEIMG="createxu3image" CREATEIMG="createxu3image"
;; ;;
rpi) rpi)